import { RpcEntity, CMDOptions } from '../interfaces';
export declare function print(entity: RpcEntity | undefined, options: CMDOptions, includeMap: {
    [key: string]: RpcEntity;
}): Promise<void>;
/**
 * 输出 enums
 *
 * @export
 * @param {RpcEntity} entity thrift entity
 * @returns {string}
 */
export declare function printEnums(entity: RpcEntity): string;
/**
 * 输出 interfaces
 *
 * @export
 * @param {Pick<RpcEntity, 'interfaces'>} entity thrift entity
 * @returns {string}
 */
export declare function printInterfaces(entity: Pick<RpcEntity, 'interfaces'>): string;
/**
 * 输出 typedef
 *
 * @export
 * @param {RpcEntity} entity
 * @returns {string}
 */
export declare function printTypeDefs(entity: RpcEntity): string;
/**
 * 这个函数用来修复类型是通过 import 导入的名称
 *
 * @export
 * @param {string} content
 * @param {Pick<RpcEntity, 'fileName' | 'includes'>} entity
 * @param {{ [absolutFilepath: string]: RpcEntity }} includeMap
 * @returns {string}
 */
export declare function fixIncludeNamespace(content: string, entity: Partial<RpcEntity> & Pick<RpcEntity, 'fileName' | 'includes'>, includeMap: {
    [absolutFilepath: string]: Partial<RpcEntity> & Pick<RpcEntity, 'ns'>;
}): string;
/**
 * 打印 service
 *
 * @export
 * @param {RpcEntity} entity
 * @param {boolean} [isGenerateRPC=false] 如果是用来生成 RPC 的打印，需要加上 namespace
 * @returns
 */
export declare function printServices(entity: RpcEntity, isGenerateRPC?: boolean): string;
export declare function printCollectionRpc(entity: RpcEntity, includeMap: {
    [absolutFilepath: string]: Partial<RpcEntity> & Pick<RpcEntity, 'ns'>;
}): string | null;
